Bug 1562092 - du/df hang indefinitely (RHEL Atomic Host 7.4) [rhel-7.4.z]
Summary: du/df hang indefinitely (RHEL Atomic Host 7.4) [rhel-7.4.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.4
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: Frantisek Sumsal
Jaroslav Klech
URL:
Whiteboard:
Depends On: 1498318
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-29 13:54 UTC by Oneata Mircea Teodor
Modified: 2018-04-17 16:38 UTC (History)
13 users (show)

Fixed In Version: systemd-219-42.el7_4.11
Doc Type: Bug Fix
Doc Text:
Previously, systemd reacted to automount events even when the corresponding unit was masked. Consequently, systemd became unresponsive. This update fixes the bug, and systemd no longer becomes unresponsive under the described circumstances.
Clone Of: 1498318
Environment:
Last Closed: 2018-04-17 16:37:57 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:1151 None None None 2018-04-17 16:38:02 UTC

Description Oneata Mircea Teodor 2018-03-29 13:54:51 UTC
This bug has been copied from bug #1498318 and has been proposed to be backported to 7.4 z-stream (EUS).

Comment 3 Jaroslav Klech 2018-04-11 13:05:10 UTC
Hi Michal, 

thank you for the doc text, I have modified it a bit. Could you have a look at it and tell me whether it is correct content-wise? 

Thank you

Jaroslav

Comment 4 Michal Sekletar 2018-04-11 15:04:41 UTC
(In reply to Jaroslav Klech from comment #3)

> thank you for the doc text, I have modified it a bit. Could you have a look
> at it and tell me whether it is correct content-wise? 

I guess that doc text gets the message across, but the wording is bit unfortunate.

Specifically, use of the word "terminate". systemd as PID1 cannot really terminate (ever) because kernel would panic and reboot the machine immediately. I'd replace it with the word crash. I think we should refrain from using jargon in doc texts (if possible) but trying to use the synonym doesn't really work here and would look silly to people who understand the low-level system details.

Comment 8 errata-xmlrpc 2018-04-17 16:37:57 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:1151


Note You need to log in before you can comment on or make changes to this bug.